import unittest
from zetane import context as ztn

class TestCloseWindow(unittest.TestCase):

    def test_disconnect(self):
        zcontext = ztn.Context()
        ztext = zcontext.text().prefix("Window closes in: ").postfix("s")
        ztext.precision(1).fixed().font_size(.5).align('center')
        self.assertTrue(hasattr(zcontext, 'socket'))

        seconds = 1.0
        rate = 0.1 # seconds
        while seconds > 0:
            ztext.text(seconds).color((1-seconds,.5,.2)).update()
            seconds -= rate
            time.sleep(rate)

        zcontext.close()
        self.assertFalse(hasattr(zcontext, 'socket'))
